#!/bin/ksh
# @(#)28  1.2 src/cmdline/staging/examples/test_domain.sh, amws.cmdline, fim611, 060808b 5/4/06 18:57:41
# (C) Copyright International Business Machines Corporation 2005. All rights
# reserved.  U.S. Government Users Restricted Rights -- Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# This file demonstrates how the staging utilites may be used
# to create a temporary FIM domain, import a FIM archive
# into that domain, and show the properties of a particular
# federation and partner.
#
basedir=/opt/IBM/FIM/tools/staging
scriptdir=$basedir/scripts
exampledir=$basedir/examples
bindir=$basedir/bin
fimadmin=$bindir/FIMAdmin_no_was_sec.sh # modify this if you have WAS security
source_domain=$exampledir/source.properties
target_domain=$exampledir/target.properties
ip_archive=$exampledir/ip.jar
sp_archive=$exampledir/sp.jar
archive_file=$sp_archive
fed_name=saml11sp
partner_name="saml11sp partner"

cd $scriptdir
$fimadmin delete_domain.py $source_domain
$fimadmin create_domain.py $source_domain
$fimadmin import_configuration_archive.py $source_domain $archive_file
$fimadmin list_federations.py $source_domain
$fimadmin list_partners.py $source_domain $fed_name
$fimadmin show_federation.py $source_domain $fed_name
$fimadmin show_partner.py $source_domain $fed_name "$partner_name"


